Get a specific invocation attempt
GET
https://api.vercel.com/v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}Get Invocation
https://api.vercel.com/v1/vercel-ci/invocations/{invocationId}/attempts/{attempt}
const response = await fetch('https://api.vercel.com/v1/vercel-ci/invocations/invocationId/attempts/attempt?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "invocation": { "invocationId": "example_id", "attempt": "123", "teamId": "example_id", "source": { "type": "string" }, "createdAt": "123", "repositoryKey": "string", "ref": "string", "commitSha": "string", "skipped": { "reason": "Customer requested refund" }, "bootstrappingStarted": { "startedAt": "123" }, "bootstrappingFailed": { "reason": "Customer requested refund" }, "sandboxSnapshotted": { "sandboxSnapshotId": "example_id", "workingDirectory": "string", "snapshottedAt": "123" }, "sandboxNamed": { "sandboxName": "Example Name", "workingDirectory": "string", "readyAt": "123" }, "jobDefinitionsCreated": { "names": [], "source": "string", "scheduledAt": "123" }, "completed": { "completedAt": "123", "conclusion": "string" }, "setupConclusion": { "result": "string" }, "runConclusion": { "result": "string" }, "status": "string" }, "repositories": "value"}Errors
{ "error": { "code": "string", "message": "string" }}AuthorizationbearerToken
Default authentication mechanism